"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.slackWebhookRequest = void 0;
const n8n_workflow_1 = require("n8n-workflow");
async function slackWebhookRequest(method, body = {}, qs = {}, headers = {}) {
    const credentials = await this.getCredentials('slackIncomingWebhookApi');
    const options = {
        headers: {
            'Content-Type': 'application/json',
        },
        method,
        body,
        qs,
        uri: credentials.webhookUrl,
        json: true,
    };
    try {
        if (Object.keys(headers).length !== 0) {
            options.headers = Object.assign({}, options.headers, headers);
        }
        if (Object.keys(body).length === 0) {
            delete options.body;
        }
        return await this.helpers.requestWithAuthentication.call(this, 'slackIncomingWebhookApi', options);
    }
    catch (error) {
        throw new n8n_workflow_1.NodeApiError(this.getNode(), error);
    }
}
exports.slackWebhookRequest = slackWebhookRequest;
//# sourceMappingURL=GenericFunctions.js.map